with Ada.Numerics.Complex_Types;
use Ada.Numerics.Complex_Types;

package ITI8590.Discrete_Fourier_Transform is

   type Index  is new Integer;
   type Vector is array (Index range <>) of Complex;

   procedure Fast_Fourier_Transform(Data : in out Vector);
   procedure Fast_Inverse_Fourier_Transform(Data : in out Vector);

end ITI8590.Discrete_Fourier_Transform;
